NetScaler ingress controller

Supported platforms and deployments

This topic provides details about supported Kubernetes platforms and compatibility of cloud native components with NetScaler.

Kubernetes platforms

NetScaler Ingress Controller is supported on the following platforms:

  • Kubernetes v1.21 (and later) on bare metal or self-hosted on public clouds such as AWS, GCP, or Azure.
  • Google Kubernetes Engine (GKE)
  • Elastic Kubernetes Service (EKS)
  • Azure Kubernetes Service (AKS)
  • Red Hat OpenShift version 3.11 and later
  • Pivotal Container Service (PKS)
  • Diamanti Enterprise Kubernetes Platform
  • Mirantis Kubernetes Engine
  • VMware Tanzu

Compatibility with NetScaler

The following table lists the NetScaler versions that are compatible with any NetScaler Ingress Controller release:

NetScaler Ingress Controller version NetScaler versions
1.41.5 14.1-17.101 and later
1.41.2 14.1-12.35 and later
1.39.6 14.1-12.35 and later
1.38.27 13.1-49.15 and later
1.37.5 13.1-49.15 and later
1.36.5 13.1-49.15 and later
1.35.6 13.1-49.15 and later

Compatibility of cloud native components with NetScaler

The following cloud native components are compatible with NetScaler version 13.0 and later:

Supported platforms and deployments